Herald
OpenapiExt

Get transaction by ID

Returns details of a specific points transaction. # Authentication Requires valid API Key via X-API-Key header # Realm Isolation The API key must belong to the same realm as the requested realm. Cross-realm requests will return 403 Forbidden. # Example ```bash curl -X GET \ https://api.example.com/api/ext/points/realm123/transactions/uuid \ -H "X-API-Key: your-api-key" ```

GET
/api/ext/points/{realmId}/transactions/{transactionId}

Returns details of a specific points transaction.

Authentication

Requires valid API Key via X-API-Key header

Realm Isolation

The API key must belong to the same realm as the requested realm. Cross-realm requests will return 403 Forbidden.

Example

curl -X GET \  https://api.example.com/api/ext/points/realm123/transactions/uuid \  -H "X-API-Key: your-api-key"
X-API-Key<token>

Client-app API key (third-party external API).

In: header

Path Parameters

realmId*string

Realm ID

transactionId*string

Transaction ID

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/ext/points/string/transactions/string"
{  "amount": 0,  "balanceAfter": 0,  "clientAppId": "string",  "createdAt": "string",  "description": "string",  "externalRefId": "string",  "subscriptionId": "string",  "transactionId": "string",  "transactionType": "string",  "userId": "string",  "walletId": "string"}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}